@import url("https://fonts.googleapis.com/css2?family=Spartan:wght@100;200;300;400;500;600;700;800;900&display=swap");

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Spartan", monospace, sans-serif;
}

    /* custom scroll bar */
html::-webkit-scrollbar {
    width: 0.25rem;
}
html::-webkit-scrollbar-track{
    background: transparent;
}
html::-webkit-scrollbar-thumb{
    background: #9972c2;
    border-radius: 4px;
}

i{
    color: #333;
}

html{
    scroll-behavior: smooth;
}

button.normal{
    font-size: 14px;
    font-weight: 600;
    padding: 15px 30px;
    color: #000;
    border-radius: 4px;
    text-align: center;
    background-color: #fff;
    border: none;
    cursor: pointer;
    outline: none;
    transition: all .2s ease-in-out;
}


h1{
    font-size: 50px;
    line-height: 64px;
    color: #333;
}

h2{
    font-size: 46px;
    line-height: 54px;
    color: #333;
}

h4{
    font-size: 20px;
    color: #333;
}

h6{
    font-weight: 700;
    font-size: 12px;
}

p{
    font-size: 1rem;
    color: #465b52;
    margin: 15px 0 20px 0;
}

.section-p1{
    padding: 40px 80px;
}

.section-m1{
    margin: 40px 0;
}
body{
    width: 100%;
}

    /* Header Start */
#header{
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 1.25rem;
    background-color: #E3E6F3;
    box-shadow: 0 5px 15px rgba(0,0,0,0.06);
    z-index: 999;
    position: sticky;
    top: 0;
    left: 0;
}

.logo{
    padding: 0 60px;
}

#navbar{
    display: flex;
    align-items: center;
    justify-content: center;
}

#navbar li{
    list-style: none;
    padding: 0 20px;
    position: relative;
}

#navbar li a{
    text-decoration: none;
    font-size: 1rem;
    font-weight: 600;
    color: #1a1a1a;
    transition: 0.3s ease;
}

#navbar li a:hover, #navbar li a.active{
    color:#9972c2;
}

#navbar li a.active::after,
#navbar li a:hover::after{
    content: "";
    width: 30%;
    height: 2px;
    background: #9972c2;
    position: absolute;
    bottom: -4px;
    left: 20px;
    transition: 0.2s ease-in;
}

#mobile{
    display: none;
    align-items: center;
}
#close{
    display: none;
}

    /* Home Page */

#hero{
    background-image: url(img/hero4.png);
    width: 100%;
    height: 90vh;
    background-size: cover;
    background-position: top 25% right 0;
    padding: 0 20rem;
    display: flex;
    align-items: flex-start;
    justify-content: center;
    flex-direction: column;
}

#hero h4{
    padding-bottom: 15px;
}

#hero h1{
    color: #9972c2;
}

#hero button{
    background-image: url(img/button.png);
    background-color: transparent;
    color: #9972c2;
    border: none;
    padding: 14px 80px 14px 65px;
    background-repeat: no-repeat;
    cursor: pointer;
    font-weight: 700;
    font-size: 1rem;
}

#features{
    display: flex;
    align-items: center;
    justify-content: space-around;
    flex-wrap: wrap;

}

#features .fe-box{
    width: 180px;
    text-align: center;
    padding: 25px 15px;
    box-shadow: 20px 20px 34px rgba(0,0,0,0.06);
    border: 1px solid #cce7d0;
    border-radius: 4px;
    margin: 15px 0;
    transition: 0.2s ease;
}

#features .fe-box img{
    width: 100%;
    margin-bottom: 10px;
}

#features .fe-box:hover{
    box-shadow: 5px 5px 5px rgba(70,62,221,0.1);
}

#features .fe-box h6{
    display: inline-block;
    padding: 9px 8px 6px 8px;
    line-height: 1;
    border-radius: 4px;
    color: #333;
    background-color: #d1e8f2;
}
#features .fe-box:nth-child(2) h6{
    background-color: #fddde4;
}
#features .fe-box:nth-child(3) h6{
    background-color: #cdebbc;
}
#features .fe-box:nth-child(4) h6{
    background-color: #cdd4f8;
}
#features .fe-box:nth-child(5) h6{
    background-color: #f6dbf6;
}
#features .fe-box:nth-child(6) h6{
    background-color: #fff2e5;
}

#product1{
    text-align: center;

}

#product1 .pro{
    width: 23%;
    min-width: 250px;
    padding: 10px 12px;
    border: 1px solid #cce7d0;
    border-radius: 4px;
    cursor: pointer;
    box-shadow: 20px 20px 30px rgba(0,0,0,0.02);
    margin: 15px 0;
    transition: 0.2s ease;
    position: relative;
}

#product1 .pro:hover{
    box-shadow: 10px 10px 5px rgba(0,0,0,0.06);
}

#product1 .pro img{
    width: 100%;
    border-radius: 4px;
}

#product1 .pro .des{
    text-align: start;
    padding: 10px 10px;
}

#product1 .pro .des span{
    color: #333;
    font-size: 1.25rem;
}

#product1 .pro .des i{
    font-size: 12px;
    color: rgb(0, 0, 0);
}

#product1 .pro .des h4{
    color: #8b5fbd;
}

#product1 .pro .cart{
    width: 40px;
    height: 40px;
    line-height: 40px;
    border-radius: 50px;
    background-color: #efe8f6;
    color: #8b5fbd;
    position: absolute;
    right: 20px;
    bottom: 20px;
}

.pro-container {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    align-items: center;
    justify-content: space-between;
}

#banner{
    background-image: url(img/banner/b2.jpg);
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    width: 100%;
    height: 40vh;
    background-size: cover;
    background-position: center;
}

#banner h4{
    color: #fff;
    font-size: 16px;
    padding: 10px 0;
}

#banner h2{
    color: #fff;
    padding: 10px 0;
    display: flex;
    align-items: center;
}

#banner h2 span{
    color: #ef3636;
}

#banner button:hover{
    color: #fff;
    background-color: #9972c2;
}

#sm-banner{
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    gap: 10px;
}

#sm-banner .banner-box{
    background-image: url(img/banner/b17.jpg);
    border-radius: 4px;
    display: flex;
    align-items: flex-start;
    justify-content: center;
    flex-direction: column;
    width: 49%;
    min-width: 580px;
    height: 50vh;
    background-size: cover;
    background-position: center;
    padding: 30px;
}
#sm-banner .banner-box:nth-child(2){
    background-image: url(img//banner/b10.jpg);
}

#sm-banner h4{
    color: #fff;
    font-size: 20px;
    font-weight: 300;
}
#sm-banner h2{
    color: #fff;
    font-size: 28px;
    font-weight: 800;
}
#sm-banner span{
    color: #fff;
    font-size: 14px;
    font-weight: 500;
    margin-bottom: 14px;
}
#sm-banner button{
    text-align: center;
    outline: none;
    cursor: pointer;
    font-weight: 300;
    padding: 10px;
    color: #fff;
    background-color: transparent;
    border: 1px solid;
    border-color: #fff;
    border-radius: 4px;
    transition: 0.2s;
    font-weight: 500;
}
#sm-banner button:hover, .banner-box:hover{
    color: #000;
    background-color: #fff;
}

#banner3{
    display: flex;
        align-items: flex-start;
        justify-content: space-between;
        flex-wrap: wrap;
        padding: 0 80px ;
}

#banner3 .banner-box{
        background-image: url(img/banner/b7.jpg);
        border-radius: 4px;
        display: flex;
        align-items: flex-start;
        justify-content: center;
        flex-wrap: wrap;
        width: 30px;
        min-width: 30%;
        height: 30vh;
        background-size: cover;
        background-position: center;
        padding: 20px;
        margin-bottom: 20px;
        flex-direction: column;
}

#banner3 .banner-box:nth-child(2){
    background-image: url(img/banner/b4.jpg);
}
#banner3 .banner-box:nth-child(3){
    background-image: url(img/banner/b18.jpg);
}


#banner h2, h3{
    display: flex;
    flex-direction: column;
}
#banner3 h2{
    color: #fff;
    font-weight: 900;
    font-size: 22px;
}

#banner3 h3{
    color: #ec544e;
    font-weight: 800;
    font-size: 15px;
}

#newsletter{
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    align-items: center;
    background-image: url(/img/banner/b14.png);
    background-repeat: no-repeat;
    background-position: 20% 30;
    background-color: #12192c;
}

#newsletter h4{
    font-size: 22px;
    font-weight: 700;
    color: #fff;
}

#newsletter p{
    font-size: 14px;
    font-weight: 600;
    color: #818ea0;
}

#newsletter span{
    color: #ffbd27;
}

#newsletter .form{
    display: flex;
    width: 40%;
}

#newsletter input{
    height: 3.125rem;
    padding: 0 1.25rem;
    font-size: 14px;
    width: 100%;
    border: 1px solid transparent;
    border-radius: 4px;
    outline: none;
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
}

#newsletter button{
    background-color: #9972c2;
    color: #fff;
    white-space: nowrap;
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
}

footer{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

footer .col{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    margin-bottom: 20px;
}

footer .col .lo{
    margin-bottom: 30px;
}
footer h4{
    font-size: 14px;
    padding-bottom: 20px;
}
footer p{
    font-size: 13px;
    margin: 0 0 20px 0;
    color: #333;
}

footer a{
    font-size: 13px;
    text-decoration: none;
    color: #333;
    margin-bottom: 10px;
}

footer .follow i{
    margin-right: 4px;
    transition: 0.2s;
    color: #333;
}
footer .follow i:hover, footer a:hover{
    color: #8b5fbd;
}

footer .install .stores img{
    margin-bottom: 20px;
    border: .5px solid #c0c0c0;
    border-radius: 4px;
}

footer .copyright{
    width: 100%;
    text-align: center;
}

    /* Shop Page */
#page-header{
    background-image: url(img/banner/b1.jpg);
    height: 40vh;
    width: 100%;
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-self: center;
    text-align: center;
}
#page-header h2, #page-header p{
    color: #fff;
}

#pagination, a , i {
    text-align: center;
    font-size: 20px;
    text-decoration: none;
}
#pagination a{
    background-color: #8b5fbd; 
    padding: 15px 20px;
    border-radius: 4px;
    box-sizing:content-box;
    font-weight: 600;
    color: #fff;

}
#pagination a i{
    font-size: 16px;
    font-weight: 600;
    color: #fff;
}

    /* Single Product */
#prodetails{
    display: flex;
    margin-top: 20px;
}
#prodetails .single-pro-image{
    width: 40%;
    margin-right: 50px;
}
#prodetails img{
    border-radius: 4px;
}

.small-img-group{
    display: flex;
    justify-content: space-between;
}
.small-img-col{
    flex-basis: 24%;
    cursor: pointer;
}

#prodetails .single-pro-details{
    width: 40%;
    padding-top: 30px;
}
#prodetails .single-pro-details h4{
    padding: 40px 0 20px 0;
}
#prodetails .single-pro-details h2{
    font-size: 26pxs;
}
#prodetails .single-pro-details select{
    display: block;
    padding: 5px 10px;
    margin-bottom: 10px;
}
#prodetails .single-pro-details select:focus{
    outline: none;
}
#prodetails .single-pro-details option{
    padding: 20px;
    font-size: 15px;
    font-weight: 500;
}
#prodetails .single-pro-details input{
    width: 50px;
    height: 47px;
    padding-left: 10px;
    font-size: 16px;
    margin-right: 10px;
    font-weight: 600;
}
#prodetails .single-pro-details input:focus{
    outline: none;
}
#prodetails .single-pro-details button{
    background-color: #9972c2;
    color: #fff;
}
#prodetails .single-pro-details span{
    line-height: 25px;
}

    /* Blog Page */
#blog-header{
    background-image: url(img/banner/b19.jpg);
    height: 30vh;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
#blog-header h2, #blog-header p{
    color: #fff;
}
#blog{
    padding: 150px 150px 0 150px;
    display: flex;
    flex-direction: column;  
}
#blog .blog-box{
    display: flex;
    align-items: center;
    width: 100%;
    position: relative; 
    padding-bottom: 90px;
}
#blog .blog-img{
    width: 50%;
    margin-right: 40px;
}
#blog img{
    width: 100%;
    height: 300px;
    object-fit: cover;
}
#blog .blog-details{
    width: 50%;
}
#blog .blog-details a{
    font-size: 11px;
    color: #000;
    font-weight: 700;
    transition: 0.2s;
    position: relative;
}
#blog .blog-details a::after{
    content: "";
    width: 50px;
    height: 1px;
    background-color: #000;
    position: absolute;
    top: 4px;
    right: -60px;
}
#blog .blog-details a:hover{
    color: #8b5fbd;
}
#blog .blog-details a:hover::after{
    background-color: #9972c2;
}
#blog .blog-box h1{
    position: absolute;
    top: -40px;
    left: 0;
    color: #b9b9b9;
    font-size: 70px;
    font-weight: 700;
    z-index: -9;
}

    /* About Page */
#about-header{
    background-image: url(img/about/banner.png);
    height: 40vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
#about-header h2, #about-header p{
    color: #fff;
}
#about-head{
    display: flex;
    align-items: center;
}
#about-head img{
    width: 50%;
    height: auto;
    border-radius: 4px;
}
.about-details{
    padding-left: 40px;
}
#about-app{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
#about-app a{
    font-size: 50px;
    color: #333;
}
#about-app .video{
    width: 70%;
    height: 100%;
    margin-top: 30px;
    border-radius: 4px;
}
#about-app .video video{
    width: 100%;
    height: 100%;
    border-radius: 40px;
}
    /* Contact Page */
#contact-details{
    display: flex;
    padding: 100px;
    width: 1500px;
}

#contact-details .details{
    width: 50%;
    flex-wrap: wrap;
    margin-left: 50px;
}
#contact-details .details h6, #form-details form h6{
    font-size: 12px;
    font-weight: 400;
    padding: 20px 0;
}
#contact-details .details h4, #form-details form h4{
    width: 550px;
    font-size: 30px;
    padding: 0 0 20px 0;
}
#contact-details .contact-info{
    display: flex;
    flex-direction: column;
}
#contact-details .contact-info h6{
    font-weight: 700;
    font-size: 15px;
}
#contact-details .contact-info li{
    list-style: none;
    text-decoration: none;
}
#contact-details .contact-info i{
    font-weight: 600;
    padding: 20px 20px 0px  0px;
    
}
#contact-details .map{
    width: 50%;
}
#form-details{
    display: flex;
    justify-content: space-between;
    margin: 30px;
    padding: 80px;
    border: 1px solid #e1e1e1;
    border-radius: 4px;
}
#form-details form{
    width: 65%;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}
#form-details form input, #form-details form textarea{
    width: 100%;
    padding: 12px 15px;
    outline: none;
    margin-bottom: 20px;
    border: 1px solid #e1e1e1;
}
#form-details form button{
    background: #8b5fbd;
    color: #fff;
}
#form-details form button:hover{
    background-color: #9972c2;
}

#form-details .people div{
    padding-bottom: 25px;
    display: flex;
    align-items: flex-start;
    margin-left: -500px;
    margin-top: 50px;
}

#form-details .people div img{
    width: 65px;
    height: 65px;
    object-fit: cover;
    margin-right: 15px;
}
#form-details .people div p{
    margin: 0;
    font-size: 13px;
    line-height: 25px;
}
#form-details .people div p span{
    display: block;
    font-size: 16px;
    font-weight: 600;
    color: #000;
}


    /* Cart Page */
#cart table{
    width: 100%;
    border-collapse: collapse;
    table-layout: fixed;
    white-space: nowrap;
}
#cart table img{
    width: 70px;
}
#cart table td:nth-child(1){
    width: 100px;
    text-align: center;
}
#cart table td:nth-child(2){
    width: 150px;
    text-align: center;
}
#cart table td:nth-child(3){
    width: 250px;
    text-align: center;
}
#cart table td:nth-child(4),
#cart table td:nth-child(5),
#cart table td:nth-child(6){
    width: 150px;
    text-align: center;
}

#cart table td:nth-child(5) input{
    width: 70px;
    padding: 10px 5px 10px 15px;

}
#cart table td:nth-child(5) input:hover{
    outline: none;
}
#cart table thead{
    border: 1px solid #e2e9e1;
    border-left: none;
    border-right: none;
}
#cart table thead td{
    font-weight: 700;
    text-transform: uppercase;
    font-size: 13px;
    padding: 18px;
}
#cart table tbody tr td{
    padding-top: 15px;
}

#cart table tbody td{
    font-size: 13px;
}

#cart-add{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

#coupon{
    width: 50%;
    margin-bottom: 30px;
}
#coupon h3,
#subtotal h3{
    padding-bottom: 15px;
}
#coupon input{
    padding: 10px 20px;
    outline: none;
    width: 60%;
    margin-right: 10px;
    border: 1px solid #e2e9e1;
}

#coupon button,
#subtotal button{
    background-color: #8b5fbd;
    color: #fff;
    padding: 12px 20px;
}

#subtotal{
    width: 50%;
    margin-bottom: 30px;
    border: 1px solid #e2e9e1;
    padding: 30px;
}
#subtotal table{
    border-collapse: collapse;
    width: 100%;
    margin-bottom: 20px;
}
#subtotal table td{
    width: 50%;
    border: 1px solid #e2e9e1;
    padding: 10px;
    font-size: 13px;
}


    /* Start Media Query */
@media (max-width:799px) {
    #navbar {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        justify-content: flex-start;
        position: fixed;
        top: 0;
        right: -300px;
        height: 100vh;
        width: 300px;
        background-color: #E3E6F3;
        box-shadow: 0 40px 60px rgba(0,0,0,0.02);
        padding: 80px 0 0 10px;
        transition: 0.2s ease-in-out;
    }
    i{
        color: #333;
    }
    #navbar.active{
        right: 0px;
    }
    #navbar li{
        margin-bottom: 25px;
    }
    #mobile{
        display: flex;
        align-items: center;
    }
    #mobile i{
        font-size: 20px;
        padding: 20px;
    }
    #close{
        display: initial;
        position: absolute;
        top: 30px;
        left: 30px;
        color: #333;
        font-size: 20px;
    }
    #lg-bag{
        display: none;
    }

    #hero {
        height: 70vh;
        padding: 0 80px;
        background-position: top 30% right 30%;
    }
    #feature{
        justify-content: center;
    }
    #product1 .pro-container {
        justify-content: center;
    }
    #product1 .pro {
        margin: 15px;
    }
    #banner {
        height: 20vh;
        width: 100%;
    }
    #banner h2{
        font-size: 25px;
        display: flex;
        flex-direction: row;
    }
    #sm-banner .banner-box {
        min-width: 100%;
        height:30vh;
        background-blend-mode: darken;
    }
    #banner3 {
        padding: 0 1s0px;
    }
    #banner3 h3 {
        display: none;
    }
    #banner3 h2{
        font-size: 20px;
    }
    #newsletter .form {
        width: 70%;
    }
    footer{
        justify-content: space-around;
        align-items:flex-start;
    }
    /* about page */
    #about-head {
        flex-direction: column;
        padding: 0px 30px;
    }
    .about-details {
        padding-top: 20px;
        text-align: center;
    }
    /* contact page */
    #contact-details {
        display: flex;
        flex-direction: column;
        padding: 10px;
        width: 400px;
    }
    #contact-details .contact-info {
        display: flex;
        flex-direction: column;
        width: 400px;
        padding-bottom: 20px;
    }
    #contact-details .map {
        width: 100%;
    }
    iframe{
        width: 750px;
        height: 450px;
    }
    #form-details {
        display: flex;
        justify-content: space-between;
        flex-wrap: wrap;
        margin: 30px;
        padding: 80px;
        border: 1px solid #e1e1e1;
        border-radius: 4px;
    }
    #form-details form {
        width: 100%;
        display: flex;
        flex-direction: column;
        align-items: flex-start;
    }
    #form-details .people{
        width: 400px;
    }
    #form-details .people div {
        align-items: center;
        flex-direction: row;
        margin-left: 100px;
        margin-top: 20px;
        width: 400px;
    }
}

@media(max-width:477px){
    .section-p1 {
        padding: 20px;
    }
    #header .logo{
        padding:10px 30px;
    }
    #header{
        width: 400px;
    }
    h2 {
        font-size: 32px;
    }
    h1 {
        font-size: 34px;
    }
    p{
        font-size: 11px;
        font-weight: 700;
    }
    #hero {
        padding: 0 20px;
        background-position: 55%;
        width: 450px;
    }
    #features .fe-box {
        width: 155px;
        margin: 0 0 15px 12px;
        transition: 0.2s ease;
    }
    #product1 .pro {
        width: 100%;
    }
    #banner {
        margin-left: -20px;
        width: 450px;
        height: 20vh;
        text-align: center;
    }
    #banner h2{
        font-size: 15px;
        display: flex;
        flex-direction: row;
        padding: 5px 0;
    }
    #banner button{
        font-size: 10px;
        font-weight: 700;
    }
    #banner3 {
        padding: 0 20px;
    }
    #newsletter{
        width: 401px;
    }
    #newsletter input{
        width: 200px;
    }
    #banner3 .banner-box {
        width: 100%;
    }

    /* single product */
    #prodetails{
        display: flex;
        flex-direction: column;
    }
    #prodetails .single-pro-image {
        width: 100%;
        margin-right: 50px;
    }
    #prodetails .single-pro-details {
        width: 100%;
    }

    /* blog page */
    #blog {
        padding: 100px 0px 0 50px;
    }
    #blog-header {
        width: 401px;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
    #blog .blog-img {
        width: 100%;
        margin-right: 0px;
        margin-bottom: 30px;
    }
    #blog .blog-details {
        width: 100%;
    }
    #blog .blog-box {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
    }

    /* about page */
    #about-header {
        height: 20vh;
        width: 401px;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
    #about-head {
        flex-direction: column;
        padding: 0px 20px;
    }
    #about-head img {
        width: 100%;
        height: auto;
        border-radius: 4px;
        padding: 20px;
    }
    #about-app {
        text-align: center;
    }
    /* contact page */
    body{
        width: 400px;
    }
    #contact-details {
        display: flex;
        padding: 00px;
        width: 400px;
    }
    #contact-details .details {
        width: 100%;
        margin-left: 10px;
        font-size: -50%;
    }
    #contact-details .details h4, #form-details form h4 {
        width: 400px;
        font-size: 20px;
        padding: 0 0 20px 0;
    }
    #contact-details .map {
        width: 100%;
    }
    iframe{
        width: 400px;
        height: 450px;
    }
    #form-details{
        width: 400px;
        padding: 1px;
        margin: 0;
    }
    #form-details .people{
        width: 40px;
    }
    #form-details .people div {
        padding-bottom: 25px;
        display: flex;
        align-items: flex-start;
        margin-left: 00px;
        margin-top: 50px;
    }
    #form-details form {
        padding: 80px;
    width: 100%;
        border: 1px solid #e1e1e1;
        border-radius: 4px;
    }
}